UbixOS V2 2.0

Data Fields
__siginfo Struct Reference

`#include <signal.h>`

Collaboration diagram for __siginfo:

## Data Fields
union {
struct {
long __spare1__
int __spare2__ [7]
} __spare__
struct {
int _trapno
} _fault
struct {
int _mqd
} _mesgq
struct {
long _band
} _poll
struct {
int _overrun
int _timerid
} _timer
} | _reason
void * | si_addr
int | si_code
int | si_errno
__pid_t | si_pid
int | si_signo
int | si_status
__uid_t | si_uid
union sigval | si_value

## Detailed Description

Definition at line 55 of file signal.h.

## Field Documentation

## ◆ __spare1__

long __siginfo::__spare1__

Definition at line 85 of file signal.h.

## ◆ __spare2__

int __siginfo::__spare2__[7]

Definition at line 86 of file signal.h.

## ◆ __spare__

struct { ... } __siginfo::__spare__

## ◆ _band

long __siginfo::_band

Definition at line 82 of file signal.h.

## ◆ _fault

struct { ... } __siginfo::_fault

## ◆ _mesgq

struct { ... } __siginfo::_mesgq

## ◆ _mqd

int __siginfo::_mqd

Definition at line 79 of file signal.h.

## ◆ _overrun

int __siginfo::_overrun

Definition at line 76 of file signal.h.

## ◆ _poll

struct { ... } __siginfo::_poll

## ◆ _reason

union { ... } __siginfo::_reason

## ◆ _timer

struct { ... } __siginfo::_timer

## ◆ _timerid

int __siginfo::_timerid

Definition at line 75 of file signal.h.

## ◆ _trapno

int __siginfo::_trapno

Definition at line 72 of file signal.h.

## ◆ si_addr

void* __siginfo::si_addr

Definition at line 68 of file signal.h.

## ◆ si_code

int __siginfo::si_code

Definition at line 64 of file signal.h.

## ◆ si_errno

int __siginfo::si_errno

Definition at line 57 of file signal.h.

## ◆ si_pid

__pid_t __siginfo::si_pid

Definition at line 65 of file signal.h.

## ◆ si_signo

int __siginfo::si_signo

Definition at line 56 of file signal.h.

## ◆ si_status

int __siginfo::si_status

Definition at line 67 of file signal.h.

## ◆ si_uid

__uid_t __siginfo::si_uid

Definition at line 66 of file signal.h.

## ◆ si_value

union sigval __siginfo::si_value

Definition at line 69 of file signal.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/signal.h